cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_slack/tools?team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
response = client.mcp.list_tools("gumloop_slack", team_id="YOUR_TEAM_ID")
for tool in response.tools:
print(tool.tool_call_id, tool.name)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tools": [
{
"tool_call_id": "gumloop_slack__slack_send_message",
"name": "slack_send_message",
"description": "Send a message to a Slack channel.",
"input_schema": {
"type": "object",
"properties": {
"channel": {
"type": "string"
},
"text": {
"type": "string"
}
},
"required": [
"channel",
"text"
]
},
"server_id": "gumloop_slack",
"server_type": "gumcp_server",
"server": {}
}
],
"server_id": "gumloop_slack",
"status": "connected",
"gumloop_auth_url": "https://www.gumloop.com/oauth/connect/slack"
}List MCP server tools
Return the tools exposed by an MCP server. When the server is not in connected state, tools is empty and gumloop_auth_url is returned so the caller can prompt the user to authenticate.
GET
/
mcp
/
servers
/
{server_id}
/
tools
cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_slack/tools?team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
response = client.mcp.list_tools("gumloop_slack", team_id="YOUR_TEAM_ID")
for tool in response.tools:
print(tool.tool_call_id, tool.name)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tools": [
{
"tool_call_id": "gumloop_slack__slack_send_message",
"name": "slack_send_message",
"description": "Send a message to a Slack channel.",
"input_schema": {
"type": "object",
"properties": {
"channel": {
"type": "string"
},
"text": {
"type": "string"
}
},
"required": [
"channel",
"text"
]
},
"server_id": "gumloop_slack",
"server_type": "gumcp_server",
"server": {}
}
],
"server_id": "gumloop_slack",
"status": "connected",
"gumloop_auth_url": "https://www.gumloop.com/oauth/connect/slack"
}Authorizations
Path Parameters
Identifier of the MCP server.
Query Parameters
Scope the lookup to a single team.
Was this page helpful?
⌘I
